Loading...
Searching...
No Matches
lime_ffi_RecipientData_t Struct Reference

The encrypt function input/output data structure. More...

`#include <lime_ffi.h>`

## Public Attributes

char * | deviceId
enum lime_ffi_PeerDeviceStatus | peerStatus
uint8_t * | DRmessage
size_t | DRmessageSize

## Detailed Description

The encrypt function input/output data structure.

give a recipient GRUU and get it back with the header which must be sent to recipient with the cipher text

## Member Data Documentation

## deviceId

char* lime_ffi_RecipientData_t::deviceId

input: recipient deviceId (shall be GRUU)

## DRmessage

uint8_t* lime_ffi_RecipientData_t::DRmessage

output: after encrypt calls back, it will hold the Double Ratchet message targeted to the specified recipient.

## DRmessageSize

size_t lime_ffi_RecipientData_t::DRmessageSize

input/output: size off the DRmessage buffer at input, size of written data as output

## peerStatus

enum lime_ffi_PeerDeviceStatus lime_ffi_RecipientData_t::peerStatus

output: after encrypt calls back, it will hold the status of this peer device:

- lime_ffi_PeerDeviceStatus_unknown: first interaction with this device)
- lime_ffi_PeerDeviceStatus_untrusted: device is kown but we never confirmed its identity public key
- lime_ffi_PeerDeviceStatus_trusted: we already confirmed this device identity public key
- lime_ffi_PeerDeviceStatus_fail: we could not encrypt for this device, probably because it never published its keys on the X3DH server

The documentation for this struct was generated from the following file:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/include/lime/lime_ffi.h